package cn.com.ctop.kuaishou.modules.report.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 快手视频项目消耗数据清洗
 * @author jeecg-boot
 * @date   2021-01-08
 * @version V1.0
 */
@Data
@TableName("ctop_kuaishou_project_video_etl_info")
public class KuaishouProjectVideoEtlInfo {
	/**id*/
	@TableId(type = IdType.AUTO)
	private Long id;
	/**视频唯一标识*/
	private String videoCode;
	/**项目id*/
	private Long projectId;
	/**初次产生消耗时间*/
	private String stateDate;
	/**url*/
	private String url;
	/**coverUrl*/
	private String coverUrl;
	/**渠道类型*/
	private String channelType;
	/**companyName*/
	private String companyName;
	/**planId*/
	private String planId;
	/**planName*/
	private String planName;
	/**clipId*/
	private String clipId;
	/**clipName*/
	private String clipName;
	/**shotId*/
	private String shotId;
	/**shotName*/
	private String shotName;
	/**singleWeekCost*/
	private BigDecimal singleWeekCost;
	/**twoWeekCost*/
	private BigDecimal twoWeekCost;
	/**fourWeekCost*/
	private BigDecimal fourWeekCost;
	/**总消耗*/
	private BigDecimal totalCost;
	/**photoShow*/
	private Long photoShow;
	/**photoClick*/
	private Long photoClick;
	/**aclick*/
	private Long aclick;
	/**bclick*/
	private Long bclick;
	/**createTime*/
	private Date createTime;
	/**updateTime*/
	private Date updateTime;

	public KuaishouProjectVideoEtlInfo(KuaiShouReportDailyMaterial nowData,Long projectId) {
		this.url = nowData.getPhotoUrl();
		this.videoCode  = nowData.getSignature();
		this.stateDate = nowData.getStatDate();
		this.channelType = nowData.getChannelType()+"";
		this.coverUrl = nowData.getCoverUrl();
		this.totalCost = nowData.getCharge();
		this.photoClick = nowData.getPhotoClick();
		this.photoShow =  nowData.getPhotoShow();
		this.aclick = nowData.getAclick();
		this.bclick = nowData.getBclick();
		this.projectId = projectId;
	}
}
